Page MenuHomePhabricator

Deploy item quality classification model for Wikidata
Closed, ResolvedPublic

Description

The quality of items on Wikidata varies. We want to be able to highlight excellent items and find poor quality items to improve them.

The task is to figure out quality criteria for an item and then build tools to automatically assess the quality of a given item.

Take a careful look at the existing showcase items as well as the process and criteria around it: https://www.wikidata.org/wiki/Wikidata:Showcase_items

Event Timeline

samuwmde created this task.Feb 19 2016, 4:42 PM
Lydia_Pintscher removed johl as the assignee of this task.Feb 19 2016, 5:06 PM
Lydia_Pintscher added a project: Wikidata.
Lydia_Pintscher removed a subscriber: hoo.
Lydia_Pintscher renamed this task from Wikidata item quality classification: to Wikidata item quality classification.Feb 19 2016, 5:33 PM
Lydia_Pintscher updated the task description. (Show Details)
Ricordisamoa added a subscriber: Ricordisamoa.
Sumit added a subscriber: Sumit.Apr 3 2016, 8:32 AM
Lydia_Pintscher triaged this task as High priority.Apr 3 2016, 12:32 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Halfak moved this task from Untriaged to Ideas on the Scoring-platform-team board.Apr 4 2016, 2:35 PM
Sumit added a comment.Apr 8 2016, 5:43 PM

@Lydia_Pintscher on Wikidata do we only have "Showcase" and "non-showcase" items or is there a metric to grade items on different levels like Wikiproject Article Assessment?

And if there's no such multilevel grading of items, do you think Wikidata can benefit from one?

At the moment there is only showcase/non-showcase. If we can help with automating at least part of the assessment I think more levels might be useful.

Sumit claimed this task.Jun 9 2016, 4:43 PM

I've created a very basic page at Item Quality Classification to take up this task as part of the final year Research project of my university.
The project will start in July and will be of about 7-8 months duration.

I'll fill up more details on the task once I start working on it in July.

As a first step, a discussion about item quality on Wikidata would be of great help. Would https://www.wikidata.org/wiki/Wikidata:Project_chat be the best place?

I would be getting in touch with the Wikidata and Revision Scoring team with respect to the proceedings of the project soon.

Awesome. Let's have a call to figure out the best way to get you input from the editors. http://doodle.com/nightrose shows you my calendar to find a good time.

johl removed a subscriber: johl.Jun 14 2016, 1:27 PM
Halfak lowered the priority of this task from High to Medium.Aug 4 2016, 2:45 PM
Sumit removed Sumit as the assignee of this task.Nov 14 2016, 5:35 PM

I had done some initial work on the task but got stalled because of certain reasons. Removing myself as per @Glorian_Yapinus interest to push this forward. However I'm interested in seeing its development and would be willing to help with the progress.

@Sumit : thanks! I will let you know if I need something from you regarding to this task!

I have started the initial discussion for working on this task with @Halfak and @Ladsgroup

Glorian_WD added a subscriber: Glorian_WD.

Claim this task with my other account since the account @Glorian_Yapinus will defunct soon.

Halfak renamed this task from Wikidata item quality classification to Deploy item quality classification model for Wikidata.Feb 7 2017, 9:39 PM
Halfak closed this task as Resolved.Feb 23 2018, 5:59 PM
Halfak moved this task from Active to Done on the Scoring-platform-team (Current) board.